- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::Plan_Launcher::Plan_Launcher_i Class Reference

This class launches and manages deployment plans. More...

`#include <Plan_Launcher_Impl.h>`

Collaboration diagram for CIAO::Plan_Launcher::Plan_Launcher_i:

[legend]
List of all members.

## Public Member Functions
| Plan_Launcher_i ()
bool | init (const char *em_ior, CORBA::ORB_ptr orb ACE_ENV_ARG_DECL_WITH_DEFAULTS)
const char * | launch_plan (const char *plan_uri ACE_ENV_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((Deployment_Failure))
const char * | re_launch_plan (const char *plan_uri ACE_ENV_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((Deployment_Failure))
const char * | launch_plan (const ::Deployment::DeploymentPlan &plan ACE_ENV_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((Deployment_Failure))
const char * | re_launch_plan (const ::Deployment::DeploymentPlan &plan ACE_ENV_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((Deployment_Failure))
::Deployment::DomainApplicationManager_ptr | get_dam (const char *uuid ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Returns the DAM associated with a given plan URI.
bool | teardown_plan (const char *uuid ACE_ENV_ARG_DECL)
| Tears down a plan given the UUID.
bool | teardown_plan (::Deployment::DomainApplicationManager_ptr dam ACE_ENV_ARG_DECL_WITH_DEFAULTS)
void | destroy_dam (::Deployment::DomainApplicationManager_ptr dam ACE_ENV_ARG_DECL_WITH_DEFAULTS)
void | destroy_dam_by_plan (const char *plan_uuid ACE_ENV_ARG_DECL_WITH_DEFAULTS)
## Private Attributes
::CIAO::ExecutionManagerDaemon_var | em_
Execution_Manager::DAM_Map | map_
| Local map for DAMs, to save expensive UUID lookups.
## Classes
class | Deployment_Failure

## Detailed Description

This class launches and manages deployment plans.

## Constructor & Destructor Documentation

CIAO::Plan_Launcher::Plan_Launcher_i::Plan_Launcher_i | ( |  | ) |

## Member Function Documentation

void CIAO::Plan_Launcher::Plan_Launcher_i::destroy_dam | ( | ::Deployment::DomainApplicationManager_ptr dam | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

void CIAO::Plan_Launcher::Plan_Launcher_i::destroy_dam_by_plan | ( | const char *plan_uuid | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

Deployment::DomainApplicationManager_ptr CIAO::Plan_Launcher::Plan_Launcher_i::get_dam | ( | const char *uuid | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

Returns the DAM associated with a given plan URI.

bool CIAO::Plan_Launcher::Plan_Launcher_i::init | ( | const char * | em_ior,
|  | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL_WITH_DEFAULTS |
| ) |  |  |

const char * CIAO::Plan_Launcher::Plan_Launcher_i::launch_plan | ( | const ::Deployment::DeploymentPlan &plan | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

const char * CIAO::Plan_Launcher::Plan_Launcher_i::launch_plan | ( | const char *plan_uri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

const char * CIAO::Plan_Launcher::Plan_Launcher_i::re_launch_plan | ( | const ::Deployment::DeploymentPlan &plan | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

const char * CIAO::Plan_Launcher::Plan_Launcher_i::re_launch_plan | ( | const char *plan_uri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

bool CIAO::Plan_Launcher::Plan_Launcher_i::teardown_plan | ( | ::Deployment::DomainApplicationManager_ptr dam | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

bool CIAO::Plan_Launcher::Plan_Launcher_i::teardown_plan | ( | const char *uuid | ACE_ENV_ARG_DECL | ) |

Tears down a plan given the UUID.

## Member Data Documentation

::CIAO::ExecutionManagerDaemon_var CIAO::Plan_Launcher::Plan_Launcher_i::em_`[private]`

Execution_Manager::DAM_Map CIAO::Plan_Launcher::Plan_Launcher_i::map_`[private]`

Local map for DAMs, to save expensive UUID lookups.

The documentation for this class was generated from the following files:

- Plan_Launcher_Impl.h
- Plan_Launcher_Impl.cpp